import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnProjectPack } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 14:41
 */
interface CnProjectPackCU extends ConditionUtil<CnProjectPackCU> {
    ID: FieldUtil<CnProjectPackCU>;
    PROJECT_NAME: FieldUtil<CnProjectPackCU>;
    BRANCH_NAME: FieldUtil<CnProjectPackCU>;
    DOWN_URL: FieldUtil<CnProjectPackCU>;
    LABEL: FieldUtil<CnProjectPackCU>;
    REMARK: FieldUtil<CnProjectPackCU>;
    DELETED: FieldUtil<CnProjectPackCU>;
    CREATE_USER_ID: FieldUtil<CnProjectPackCU>;
    CREATE_TIME: FieldUtil<CnProjectPackCU>;
}
declare class CnProjectPackMU extends TableUtilImpl<CnProjectPackCU, CnProjectPack> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnProjectPackCU;
    static get ID(): FieldUtil<CnProjectPackCU>;
    static get PROJECT_NAME(): FieldUtil<CnProjectPackCU>;
    static get BRANCH_NAME(): FieldUtil<CnProjectPackCU>;
    static get DOWN_URL(): FieldUtil<CnProjectPackCU>;
    static get LABEL(): FieldUtil<CnProjectPackCU>;
    static get REMARK(): FieldUtil<CnProjectPackCU>;
    static get DELETED(): FieldUtil<CnProjectPackCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectPackCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectPackCU>;
    get ID(): FieldUtil<CnProjectPackCU>;
    get PROJECT_NAME(): FieldUtil<CnProjectPackCU>;
    get BRANCH_NAME(): FieldUtil<CnProjectPackCU>;
    get DOWN_URL(): FieldUtil<CnProjectPackCU>;
    get LABEL(): FieldUtil<CnProjectPackCU>;
    get REMARK(): FieldUtil<CnProjectPackCU>;
    get DELETED(): FieldUtil<CnProjectPackCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectPackCU>;
    get CREATE_TIME(): FieldUtil<CnProjectPackCU>;
}
export { CnProjectPackMU, CnProjectPackCU };
